*** Settings ***
Documentation       Juniper Mseries Netconf BGP

Resource            ${CURDIR}${/}..${/}..${/}..${/}..${/}resources/import.resource

Suite Setup         Ctn Generic Suite Setup
Test Timeout        120s


*** Variables ***
${CMD}      ${CENTREON_PLUGINS} --plugin=network::juniper::mseries::netconf::plugin
    ...    --mode=bgp
    ...    --hostname=${HOSTNAME}
    ...    --sshcli-command=get_data
    ...    --sshcli-path=${CURDIR}
    ...    --sshcli-option="-f=${CURDIR}${/}data${/}bgp.netconf"

*** Test Cases ***
Bgp ${tc}
    [Tags]    network    juniper    mseries    netconf
    ${command}    Catenate
    ...    ${CMD}
    ...    ${extraoptions}

    Ctn Run Command And Check Result As Strings    ${command}    ${expected_result}

    Examples:      tc    extraoptions    expected_result    --
            ...    1     --filter-snmp-index=1
            ...    OK: BGP peer [local address '10.0.0.1:56674', AS '29283'][peer address '10.0.0.2:179', AS '29283'] state: Established - traffic bgp-peer-traffic-in : Buffer creation, bgp-peer-traffic-out : Buffer creation - All BGP ribs are ok | 'bgp.peers.detected.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~ACX7024-VRF.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~ACX7024-VRF.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~AELIA-VPNIP-100268-VPN121.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~AELIA-VPNIP-100268-VPN121.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~AF-VPNIP-000723AA-VPN380.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~AF-VPNIP-000723AA-VPN380.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~AF-VPNIP-000723AA-VPN381.inet.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~AF-VPNIP-000723AA-VPN381.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~ANSIBLE-UPDATE.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~ANSIBLE-UPDATE.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~DIOR-LANISS-104088.l2vpn.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~DSNA-LANISS-129097-VPN22102.l2vpn.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~EID-TEST.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~EID-TEST.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~INFRA-MGNT-VPN101.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~INFRA-MGNT-VPN101.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~INTERNET.inet.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~INTERNET.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~ISP.inet.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~ISP.inet6.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~ISP1-IXIA.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~ISP1-IXIA.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~JCLOET.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~JCLOET.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~L3VPN-IXIA.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~L3VPN-IXIA.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~LANISSIMO_IXIA.l2vpn.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~LUCIE-POTIER.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~LUCIE-POTIER.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~MULTICAST-IXIA.l2vpn.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~NATIXIS-VPLS.l2vpn.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~NATIXIS-VPNIP-125980-VPN356.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~NATIXIS-VPNIP-125980-VPN356.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~NATIXIS-VPNIP.inet.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~NATIXIS-VPNIP.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~OPERATEUR-EXTNNI-123456-PW20123.l2vpn.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~PROD-TEST-1003.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~PROD-TEST-1003.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~TEST-BUR-VPNIP-034495AC.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~TEST-BUR-VPNIP-034495AC.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~TEST-REF-RESEAU.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~TEST-REF-RESEAU.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~THE-DHCP-SERVER.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~THE-DHCP-SERVER.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~TIP-ISP.inet.0#bgp.peer.rib.prefixes.active.count'=10;;;0; '10.0.0.1:56674~10.0.0.2:179~TIP-ISP.inet6.0#bgp.peer.rib.prefixes.active.count'=7;;;0; '10.0.0.1:56674~10.0.0.2:179~VALID-VPN-1234.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~VALID-VPN-1234.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~VPNIP-SOC-VPN1010.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~VPNIP-SOC-VPN1010.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~VPNL3-CLIENT1.inet.0#bgp.peer.rib.prefixes.active.count'=1;;;0; '10.0.0.1:56674~10.0.0.2:179~VPNL3-CLIENT1.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~VPNL3-CLIENT2.inet.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~VPNL3-CLIENT2.inet6.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:56674~10.0.0.2:179~bgp.l2vpn.0#bgp.peer.rib.prefixes.active.count'=6;;;0; '10.0.0.1:56674~10.0.0.2:179~bgp.l3vpn-inet6.0#bgp.peer.rib.prefixes.active.count'=9;;;0; '10.0.0.1:56674~10.0.0.2:179~bgp.l3vpn.0#bgp.peer.rib.prefixes.active.count'=46;;;0; '10.0.0.1:56674~10.0.0.2:179~xVALIDATION-LANISS-1234-VPN20998.l2vpn.0#bgp.peer.rib.prefixes.active.count'=0;;;0;
            ...    2     --filter-local-address=172.16.202.13
            ...    CRITICAL: BGP peer [local address '172.16.202.13', AS '29283'][peer address '172.16.202.14', AS '64610'] state: Idle | 'bgp.peers.detected.count'=1;;;0;
            ...    3     --filter-peer-address=172.16.203.245
            ...    CRITICAL: BGP peer [local address 'unspecified', AS '29283'][peer address '172.16.203.245', AS '64614'] state: Idle | 'bgp.peers.detected.count'=1;;;0;
            ...    4     --filter-rib-name=bgp.l3vpn.0
            ...    CRITICAL: BGP peer [local address 'unspecified', AS '1273'][peer address '2001:5000:1234::2', AS '29283'] state: Idle | 'bgp.peers.detected.count'=23;;;0; '10.0.0.1:56674~10.0.0.2:179~bgp.l3vpn.0#bgp.peer.rib.prefixes.active.count'=46;;;0; '10.0.0.1:179~10.0.0.4:58321~bgp.l3vpn.0#bgp.peer.rib.prefixes.active.count'=20;;;0; '10.0.0.1:60110~10.0.0.6:179~bgp.l3vpn.0#bgp.peer.rib.prefixes.active.count'=0;;;0; '10.0.0.1:58984~10.0.0.7:179~bgp.l3vpn.0#bgp.peer.rib.prefixes.active.count'=0;;;0;
