*** Settings ***
Documentation       Juniper Mseries Netconf CPU

Resource            ${CURDIR}${/}..${/}..${/}..${/}..${/}resources/import.resource

Suite Setup         Ctn Generic Suite Setup
Test Timeout        120s


*** Variables ***
${CMD}      ${CENTREON_PLUGINS} --plugin=network::juniper::mseries::netconf::plugin
    ...    --mode=cpu
    ...    --hostname=${HOSTNAME}
    ...    --sshcli-command=get_data
    ...    --sshcli-path=${CURDIR}
    ...    --sshcli-option="-f=${CURDIR}${/}data${/}cpu.netconf"

*** Test Cases ***
Cpu ${tc}
    [Tags]    network    juniper    mseries    netconf
    ${command}    Catenate
    ...    ${CMD}
    ...    ${extraoptions}

    Ctn Run Command And Check Result As Strings    ${command}    ${expected_result}

    Examples:      tc    extraoptions    expected_result    --
            ...    1     ${EMPTY}
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    2     --filter-name='5'
            ...    OK: CPU 'fpc slot 5' average usage: 2.00 % (1m), 2.00 % (5m), 2.00 % (15m) | 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100
            ...    3     --filter-name='[0-2]'
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    4     --warning-average-1m=6
            ...    WARNING: CPU 'fpc slot 0' average usage: 15.00 % (1m) - CPU 'fpc slot 2' average usage: 7.00 % (1m) | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;0:6;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;0:6;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;0:6;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;0:6;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    5     --warning-average-1m=16
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;0:16;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;0:16;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;0:16;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;0:16;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    6     --critical-average-1m=6
            ...    CRITICAL: CPU 'fpc slot 0' average usage: 15.00 % (1m) - CPU 'fpc slot 2' average usage: 7.00 % (1m) | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;0:6;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;0:6;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;0:6;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;0:6;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    7     --critical-average-1m=16
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;0:16;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;0:16;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;0:16;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;0:16;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    8     --warning-average-5m=6
            ...    WARNING: CPU 'fpc slot 0' average usage: 15.00 % (5m) - CPU 'fpc slot 2' average usage: 7.00 % (5m) | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;0:6;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;0:6;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;0:6;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;0:6;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    9     --warning-average-5m=16
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;0:16;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;0:16;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;0:16;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;0:16;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    10    --critical-average-5m=6
            ...    CRITICAL: CPU 'fpc slot 0' average usage: 15.00 % (5m) - CPU 'fpc slot 2' average usage: 7.00 % (5m) | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;0:6;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;0:6;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;0:6;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;0:6;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    11    --critical-average-5m=16
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;0:16;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;0:16;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;0:16;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;0:16;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;;0;100
            ...    12     --warning-average-15m=6
            ...    WARNING: CPU 'fpc slot 0' average usage: 15.00 % (15m) - CPU 'fpc slot 2' average usage: 7.00 % (15m) | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;0:6;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;0:6;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;0:6;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;0:6;;0;100
            ...    13    --warning-average-15m=16
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;0:16;;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;0:16;;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;0:16;;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;0:16;;0;100
            ...    14    --critical-average-15m=6
            ...    CRITICAL: CPU 'fpc slot 0' average usage: 15.00 % (15m) - CPU 'fpc slot 2' average usage: 7.00 % (15m) | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;0:6;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;0:6;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;0:6;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;0:6;0;100
            ...    15    --critical-average-15m=16
            ...    OK: All CPU usages are ok | 'fpc slot 0#cpu.utilization.1m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.5m.percentage'=15.00%;;;0;100 'fpc slot 0#cpu.utilization.15m.percentage'=15.00%;;0:16;0;100 'fpc slot 2#cpu.utilization.1m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.5m.percentage'=7.00%;;;0;100 'fpc slot 2#cpu.utilization.15m.percentage'=7.00%;;0:16;0;100 'fpc slot 5#cpu.utilization.1m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.5m.percentage'=2.00%;;;0;100 'fpc slot 5#cpu.utilization.15m.percentage'=2.00%;;0:16;0;100 'route engine slot 0#cpu.utilization.1m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.5m.percentage'=4.00%;;;0;100 'route engine slot 0#cpu.utilization.15m.percentage'=4.00%;;0:16;0;100
