*** Settings ***
Documentation       Juniper Mseries Netconf Disks

Resource            ${CURDIR}${/}..${/}..${/}..${/}..${/}resources/import.resource

Suite Setup         Ctn Generic Suite Setup
Test Timeout        120s


*** Variables ***
${CMD}      ${CENTREON_PLUGINS} --plugin=network::juniper::mseries::netconf::plugin
    ...    --mode=disks
    ...    --hostname=${HOSTNAME}
    ...    --sshcli-command=get_data
    ...    --sshcli-path=${CURDIR}
    ...    --sshcli-option="-f=${CURDIR}${/}data${/}disk.netconf"

*** Test Cases ***
Disk ${tc}
    [Tags]    network    juniper    mseries    netconf
    ${command}    Catenate
    ...    ${CMD}
    ...    ${extraoptions}

    Ctn Run Command And Check Result As Strings    ${command}    ${expected_result}

    Examples:      tc    extraoptions    expected_result    --
            ...    1     ${EMPTY}
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    2     --filter-name=/.mount/mfs
            ...    OK: Disk '/.mount/mfs' space usage total: 7.99 GB used: 1.29 MB (0.00%) free: 7.99 GB (100.00%) | '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100
            ...    3     --warning-space-usage=1234567890
            ...    WARNING: Disk '/.mount' space usage total: 9.97 GB used: 2.19 GB (24.00%) free: 6.98 GB (76.00%) - Disk '/.mount/var' space usage total: 14.09 GB used: 6.88 GB (53.00%) free: 6.08 GB (47.00%) | '/.mount#disk.space.usage.bytes'=2353858560B;0:1234567890;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;0:1234567890;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;0:1234567890;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;0:1234567890;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;0:1234567890;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    4     --warning-space-usage=9876543210
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;0:9876543210;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;0:9876543210;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;0:9876543210;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;0:9876543210;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;0:9876543210;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    5     --critical-space-usage=1234567890
            ...    CRITICAL: Disk '/.mount' space usage total: 9.97 GB used: 2.19 GB (24.00%) free: 6.98 GB (76.00%) - Disk '/.mount/var' space usage total: 14.09 GB used: 6.88 GB (53.00%) free: 6.08 GB (47.00%) | '/.mount#disk.space.usage.bytes'=2353858560B;;0:1234567890;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;0:1234567890;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;0:1234567890;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;0:1234567890;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;0:1234567890;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    6     --critical-space-usage=9876543210
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;;0:9876543210;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;0:9876543210;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;0:9876543210;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;0:9876543210;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;0:9876543210;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    7     --warning-space-usage-free=1234567890
            ...    WARNING: Disk '/.mount' space usage total: 9.97 GB used: 2.19 GB (24.00%) free: 6.98 GB (76.00%) - Disk '/.mount/mfs' space usage total: 7.99 GB used: 1.29 MB (0.00%) free: 7.99 GB (100.00%) - Disk '/.mount/tmp' space usage total: 41.69 GB used: 268.00 KB (0.00%) free: 41.69 GB (100.00%) - Disk '/.mount/var' space usage total: 14.09 GB used: 6.88 GB (53.00%) free: 6.08 GB (47.00%) | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;0:1234567890;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;0:1234567890;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;0:1234567890;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;0:1234567890;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;0:1234567890;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    8     --warning-space-usage-free=98765432109
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;0:98765432109;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;0:98765432109;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;0:98765432109;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;0:98765432109;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;0:98765432109;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    9     --critical-space-usage-free=1234567890
            ...    CRITICAL: Disk '/.mount' space usage total: 9.97 GB used: 2.19 GB (24.00%) free: 6.98 GB (76.00%) - Disk '/.mount/mfs' space usage total: 7.99 GB used: 1.29 MB (0.00%) free: 7.99 GB (100.00%) - Disk '/.mount/tmp' space usage total: 41.69 GB used: 268.00 KB (0.00%) free: 41.69 GB (100.00%) - Disk '/.mount/var' space usage total: 14.09 GB used: 6.88 GB (53.00%) free: 6.08 GB (47.00%) | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;0:1234567890;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;0:1234567890;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;0:1234567890;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;0:1234567890;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;0:1234567890;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    10    --critical-space-usage-free=98765432109
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;0:98765432109;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;0:98765432109;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;0:98765432109;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;0:98765432109;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;0:98765432109;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;;0;100
            ...    11    --warning-space-usage-prct=20
            ...    WARNING: Disk '/.mount' space usage total: 9.97 GB used: 2.19 GB (24.00%) free: 6.98 GB (76.00%) - Disk '/.mount/var' space usage total: 14.09 GB used: 6.88 GB (53.00%) free: 6.08 GB (47.00%) | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;0:20;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;0:20;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;0:20;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;0:20;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;0:20;;0;100
            ...    12    --warning-space-usage-prct=60
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;0:60;;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;0:60;;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;0:60;;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;0:60;;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;0:60;;0;100
            ...    13    --critical-space-usage-prct=20
            ...    CRITICAL: Disk '/.mount' space usage total: 9.97 GB used: 2.19 GB (24.00%) free: 6.98 GB (76.00%) - Disk '/.mount/var' space usage total: 14.09 GB used: 6.88 GB (53.00%) free: 6.08 GB (47.00%) | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;0:20;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;0:20;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;0:20;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;0:20;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;0:20;0;100
            ...    14    --critical-space-usage-prct=60
            ...    OK: All disks are ok | '/.mount#disk.space.usage.bytes'=2353858560B;;;0;10701788160 '/.mount#disk.space.free.bytes'=7491786752B;;;0;10701788160 '/.mount#disk.space.usage.percentage'=24.00%;;0:60;0;100 '/.mount/config#disk.space.usage.bytes'=192512B;;;0;467611648 '/.mount/config#disk.space.free.bytes'=430010368B;;;0;467611648 '/.mount/config#disk.space.usage.percentage'=0.00%;;0:60;0;100 '/.mount/mfs#disk.space.usage.bytes'=1347584B;;;0;8580919296 '/.mount/mfs#disk.space.free.bytes'=8579571712B;;;0;8580919296 '/.mount/mfs#disk.space.usage.percentage'=0.00%;;0:60;0;100 '/.mount/tmp#disk.space.usage.bytes'=274432B;;;0;44762726400 '/.mount/tmp#disk.space.free.bytes'=44762451968B;;;0;44762726400 '/.mount/tmp#disk.space.usage.percentage'=0.00%;;0:60;0;100 '/.mount/var#disk.space.usage.bytes'=7386382336B;;;0;15128137728 '/.mount/var#disk.space.free.bytes'=6531506176B;;;0;15128137728 '/.mount/var#disk.space.usage.percentage'=53.00%;;0:60;0;100
