*** Settings ***
Documentation       Juniper Mseries Netconf Services RPM

Resource            ${CURDIR}${/}..${/}..${/}..${/}..${/}resources/import.resource

Suite Setup         Ctn Generic Suite Setup
Test Timeout        120s


*** Variables ***
${CMD}      ${CENTREON_PLUGINS} --plugin=network::juniper::mseries::netconf::plugin
    ...    --mode=services-rpm
    ...    --hostname=${HOSTNAME}
    ...    --sshcli-command=get_data
    ...    --sshcli-path=${CURDIR}
    ...    --sshcli-option="-f=${CURDIR}${/}data${/}services_rpm.netconf"

*** Test Cases ***
Service Rpm ${tc}
    [Tags]    network    juniper    mseries    netconf
    ${command}    Catenate
    ...    ${CMD}
    ...    ${extraoptions}

    Ctn Run Command And Check Result As Strings    ${command}    ${expected_result}

    Examples:      tc    extraoptions    expected_result    --
            ...    1     ${EMPTY}
            ...    OK: All services are ok | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    2     --filter-name=TO-POP
            ...    OK: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] probe status: Response received - loss: 0.00 % - round trip time delay average: 2455 usec, jitter: 6004 usec, stdev: 2237 usec - positive round trip jitter delay average: 1097 usec, jitter: 4219 usec, stdev: 1501 usec - negative round trip jitter delay average: 1170 usec, jitter: 3863 usec, stdev: 1620 usec | 'services.detected.count'=1;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    3     --filter-type=icmp-ping
            ...    OK: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] probe status: Response received - loss: 0.00 % - round trip time delay average: 2455 usec, jitter: 6004 usec, stdev: 2237 usec - positive round trip jitter delay average: 1097 usec, jitter: 4219 usec, stdev: 1501 usec - negative round trip jitter delay average: 1170 usec, jitter: 3863 usec, stdev: 1620 usec | 'services.detected.count'=1;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    4     --unknown-status='\\\%{testName} eq "TEST2" and \\\%{probeType} eq "tcp-ping"'
            ...    UNKNOWN: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] probe status: Response received | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    5     --warning-status='\\\%{sourceAddress} eq "3.3.3.3" and \\\%{targetAddress} eq "4.4.4.4"'
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] probe status: Response received | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    6     --critical-status='\\\%{probeStatus} eq "Response received"'
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] probe status: Response received - service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] probe status: Response received | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    7     --warning-services-detected=1
            ...    WARNING: Number of services detected: 2 | 'services.detected.count'=2;0:1;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    8     --critical-services-detected=1
            ...    CRITICAL: Number of services detected: 2 | 'services.detected.count'=2;;0:1;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    9     --warning-service-rpm-probe-loss-percentage=@0
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] loss: 0.00 % - service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] loss: 0.00 % | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;@0:0;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;@0:0;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    10    --critical-service-rpm-probe-loss-percentage=@0
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] loss: 0.00 % - service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] loss: 0.00 % | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;@0:0;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;@0:0;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    11    --warning-service-rpm-probe-rtt-delay-average=3500
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] round trip time delay average: 4213 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;0:3500;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;0:3500;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    12    --critical-service-rpm-probe-rtt-delay-average=4000
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] round trip time delay average: 4213 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;0:4000;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;0:4000;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    13    --warning-service-rpm-probe-rtt-delay-jitter=4000
            ...    WARNING: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] round trip time delay jitter: 6004 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;0:4000;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;0:4000;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    14    --critical-service-rpm-probe-rtt-delay-jitter=5000
            ...    CRITICAL: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] round trip time delay jitter: 6004 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;0:5000;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;0:5000;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    15    --warning-service-rpm-probe-rtt-delay-stdev=3000
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] round trip time delay stdev: 4111 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;0:3000;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;0:3000;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    16    --critical-service-rpm-probe-rtt-delay-stdev=4000
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] round trip time delay stdev: 4111 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;0:4000;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;0:4000;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    17    --warning-service-rpm-probe-prtj-delay-average=1500
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] positive round trip jitter delay average: 2003 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;0:1500;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;0:1500;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    18    --critical-service-rpm-probe-prtj-delay-average=2000
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] positive round trip jitter delay average: 2003 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;0:2000;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;0:2000;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    19    --warning-service-rpm-probe-prtj-delay-jitter=3500
            ...    WARNING: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] positive round trip jitter delay jitter: 4219 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;0:3500;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;0:3500;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    20    --critical-service-rpm-probe-prtj-delay-jitter=4000
            ...    CRITICAL: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] positive round trip jitter delay jitter: 4219 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;0:4000;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;0:4000;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    21    --warning-service-rpm-probe-prtj-delay-stdev=2000
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] positive round trip jitter delay stdev: 2765 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;0:2000;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;0:2000;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    22    --critical-service-rpm-probe-prtj-delay-stdev=2500
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] positive round trip jitter delay stdev: 2765 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;0:2500;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;0:2500;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    23    --warning-service-rpm-probe-nrtj-delay-average=1000
            ...    WARNING: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] negative round trip jitter delay average: 1170 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;0:1000;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;0:1000;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    24    --critical-service-rpm-probe-nrtj-delay-average=1000
            ...    CRITICAL: service RPM 'TO-POP' [type: icmp-ping] [source address 1.1.1.1] [target address 2.2.2.2] negative round trip jitter delay average: 1170 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;0:1000;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;0:1000;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    25    --warning-service-rpm-probe-nrtj-delay-jitter=4000
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] negative round trip jitter delay jitter: 5462 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;0:4000;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;0:4000;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    26    --critical-service-rpm-probe-nrtj-delay-jitter=5000
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] negative round trip jitter delay jitter: 5462 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;0:5000;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;0:5000;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;;0;
            ...    27    --warning-service-rpm-probe-nrtj-delay-stdev=2000
            ...    WARNING: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] negative round trip jitter delay stdev: 3056 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;0:2000;;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;0:2000;;0;
            ...    28    --critical-service-rpm-probe-nrtj-delay-stdev=3000
            ...    CRITICAL: service RPM 'TEST2' [type: tcp-ping] [source address 3.3.3.3] [target address 4.4.4.4] negative round trip jitter delay stdev: 3056 usec | 'services.detected.count'=2;;;0; 'TEST2#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TEST2#service.rpm.probe.rtt.delay.average.microseconds'=4213.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.jitter.microseconds'=3002.00;;;0; 'TEST2#service.rpm.probe.rtt.delay.stdev.microseconds'=4111.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.average.microseconds'=2003.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.jitter.microseconds'=3215.00;;;0; 'TEST2#service.rpm.probe.prtj.delay.stdev.microseconds'=2765.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.average.microseconds'=984.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.jitter.microseconds'=5462.00;;;0; 'TEST2#service.rpm.probe.nrtj.delay.stdev.microseconds'=3056.00;;0:3000;0; 'TO-POP#service.rpm.probe.loss.percentage'=0.00%;;;0;100 'TO-POP#service.rpm.probe.rtt.delay.average.microseconds'=2455.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.jitter.microseconds'=6004.00;;;0; 'TO-POP#service.rpm.probe.rtt.delay.stdev.microseconds'=2237.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.average.microseconds'=1097.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.jitter.microseconds'=4219.00;;;0; 'TO-POP#service.rpm.probe.prtj.delay.stdev.microseconds'=1501.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.average.microseconds'=1170.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.jitter.microseconds'=3863.00;;;0; 'TO-POP#service.rpm.probe.nrtj.delay.stdev.microseconds'=1620.00;;0:3000;0;
