*** Settings ***

Resource            ${CURDIR}${/}..${/}..${/}..${/}..${/}..${/}resources/import.resource

Suite Setup         Start Mockoon    ${MOCKOON_JSON}
Suite Teardown      Stop Mockoon
Test Timeout        120s

** Variables ***
${MOCKOON_JSON}     ${CURDIR}${/}Mockoonarray.json


${CMD}              ${CENTREON_PLUGINS}
...                 --plugin=storage::purestorage::flasharray::v2::restapi::plugin
...                 --mode=arrays
...                 --hostname=${HOSTNAME}
...                 --proto='http'
...                 --api-token='token'
...                 --api-version='2.5'
...                 --port=${APIPORT}

*** Test Cases ***
arrays ${tc}
    [Tags]    storage    purestorage    flasharray    restapi
    ${command}    Catenate
    ...    ${CMD}
    ...    ${extra_options}
    Ctn Run Command And Check Result As Strings    ${command}    ${expected_result}

    Examples:         tc      extra_options                                                                                            expected_result    --
            ...       1       ${EMPTY}                                                                                                 OK: Array 'array-1' space usage total: 10.00 TB used: 0.00 B (0.00%) free: 10.00 TB (100.00%) - data reduction: 0.000 - read bytes: 94.48 KB/s, bytes read: 0.00 B, read: 6/s, service usec read operation: 169 µs, usec per read operation: 171 µs, queue usec per read operation: 2 µs, write bytes: 44.68 KB/s, bytes write: 0.00 B, write: 2/s, service usec read operation: 188 µs, usec per write operation: 190 µs, queue usec per write operation: 2 µs | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;
            ...       2       --filter-counters='data-reduction'                                                                       OK: Array 'array-1' data reduction: 0.000 | 'array-1#array.data.reduction.count'=0.000;;;0;
            ...       3       --perf-resolution='5m'                                                                                   OK: Array 'array-1' space usage total: 10.00 TB used: 0.00 B (0.00%) free: 10.00 TB (100.00%) - data reduction: 0.000 - read bytes: 94.48 KB/s, bytes read: 0.00 B, read: 6/s, service usec read operation: 169 µs, usec per read operation: 171 µs, queue usec per read operation: 2 µs, write bytes: 44.68 KB/s, bytes write: 0.00 B, write: 2/s, service usec read operation: 188 µs, usec per write operation: 190 µs, queue usec per write operation: 2 µs | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;
            ...       4       --warning-data-reduction=10 --critical-data-reduction=''                                                 OK: Array 'array-1' space usage total: 10.00 TB used: 0.00 B (0.00%) free: 10.00 TB (100.00%) - data reduction: 0.000 - read bytes: 94.48 KB/s, bytes read: 0.00 B, read: 6/s, service usec read operation: 169 µs, usec per read operation: 171 µs, queue usec per read operation: 2 µs, write bytes: 44.68 KB/s, bytes write: 0.00 B, write: 2/s, service usec read operation: 188 µs, usec per write operation: 190 µs, queue usec per write operation: 2 µs | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;0:10;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;
            ...       5       --warning-space-usage=3 --critical-space-usage=10                                                         OK: Array 'array-1' space usage total: 10.00 TB used: 0.00 B (0.00%) free: 10.00 TB (100.00%) - data reduction: 0.000 - read bytes: 94.48 KB/s, bytes read: 0.00 B, read: 6/s, service usec read operation: 169 µs, usec per read operation: 171 µs, queue usec per read operation: 2 µs, write bytes: 44.68 KB/s, bytes write: 0.00 B, write: 2/s, service usec read operation: 188 µs, usec per write operation: 190 µs, queue usec per write operation: 2 µs | 'array-1#array.space.usage.bytes'=0B;0:3;0:10;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;
            ...       6       --warning-space-usage-free=3 --critical-space-usage-free=0                                               CRITICAL: Array 'array-1' space usage total: 10.00 TB used: 0.00 B (0.00%) free: 10.00 TB (100.00%) | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;0:3;0:0;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;
            ...       7       --warning-queue-usec-per-write-operation=0 --critical-queue-usec-per-write-operation=200                 WARNING: Array 'array-1' queue usec per write operation: 2 µs | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;0:0;0:200;0;
            ...       8       --warning-queue-usec-per-read-operation=0 --critical-queue-usec-per-read-operation=''                    WARNING: Array 'array-1' queue usec per read operation: 2 µs | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;0:0;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;;;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;
            ...       9       --warning-writes-per-sec=1 --critical-writes-per-sec=0                                                   CRITICAL: Array 'array-1' write: 2/s | 'array-1#array.space.usage.bytes'=0B;;;0;10995116277760 'array-1#array.space.free.bytes'=10995116277760B;;;0;10995116277760 'array-1#array.space.usage.percentage'=0.00%;;;0;100 'array-1#array.data.reduction.count'=0.000;;;0; 'array-1~5m#array.io.read.usage.bytespersecond'=96748B/s;;;0; 'array-1~5m#array.io.read.usage.bytesperread'=0B;;;0; 'array-1~5m#array.io.read.usage.readspersec'=6/s;;;0; 'array-1~5m#array.io.read.usage.serviceusecperreadop'=169B;;;0; 'array-1~5m#array.io.read.usage.usecperreadop'=171B;;;0; 'array-1~5m#array.io.read.usage.queueusecperreadop'=2B;;;0; 'array-1~5m#array.io.write.usage.bytespersecond'=45754B/s;;;0; 'array-1~5m#array.io.write.usage.bytesperwrite'=0B;;;0; 'array-1~5m#array.io.write.usage.writespersec'=2/s;0:1;0:0;0; 'array-1~5m#array.io.write.usage.serviceusecwriteop'=188B;;;0; 'array-1~5m#array.io.write.usage.usecperwriteop'=190B;;;0; 'array-1~5m#array.io.write.usage.queueusecperwriteop'=2B;;;0;